Bug 894600 - Review Request: coin-or-cppad - A Package for Differentiation of C++ Algorithms
Review Request: coin-or-cppad - A Package for Differentiation of C++ Algorithms
Status: CLOSED DUPLICATE of bug 1197488
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 894585 894586 894587 1197488
Blocks: 894609
  Show dependency treegraph
 
Reported: 2013-01-12 10:18 EST by Paulo Andrade
Modified: 2017-02-06 23:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-11 14:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 10:18:11 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-cppad.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-cppad-20121117-1.fc19.src.rpm
Description: CppAD: A Package for Differentiation of C++ Algorithms
We refer to the step by step conversion from an algorithm that computes
function values to an algorithm that computes derivative values as
Algorithmic Differentiation (often referred to as Automatic Differentiation.)
Given a C++ algorithm that computes function values, CppAD generates an
algorithm that computes its derivative values. A brief introduction to
Algorithmic Differentiation can be found in
http://en.wikipedia.org/wiki/Automatic_differentiation. The
web site http://www.autodiff.org/ is dedicated to research about, and
promoting the use, of AD.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:21:07 EST
Unlike the other coin-or packages being submitted for review,
this one uses an unmodified upstream tarball.
Comment 2 Paulo Andrade 2013-01-14 17:04:26 EST
Update:
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-cppad.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-cppad-20130114-1.fc19.src.rpm
Comment 3 Paulo Andrade 2013-02-18 12:14:43 EST
Actually, there is already a cppad package in fedora.
Noticed it when looking at packages that failed
mass rebuild...
https://admin.fedoraproject.org/pkgdb/acls/name/cppad
Comment 4 Christopher Meng 2014-04-21 23:01:14 EDT
Update to 20140421 please.
Comment 5 Antonio Trande 2014-04-22 10:18:28 EDT
Christopher,

you already have assigned to yourself tens of (pending) package reviews including one reported by me (https://bugzilla.redhat.com/show_bug.cgi?id=1074046).

I don't know what makes you think to be able to review this one, too.
Comment 6 Christopher Meng 2014-04-22 21:56:39 EDT
(In reply to Antonio Trande from comment #5)
> Christopher,
> 
> you already have assigned to yourself tens of (pending) package reviews
> including one reported by me
> (https://bugzilla.redhat.com/show_bug.cgi?id=1074046).
> 
> I don't know what makes you think to be able to review this one, too.

I intended to finish yours last weekend, but I couldn't use my computer.
Comment 7 Antonio Trande 2014-04-23 10:06:25 EDT
(In reply to Christopher Meng from comment #6)
> (In reply to Antonio Trande from comment #5)
> > Christopher,
> > 
> > you already have assigned to yourself tens of (pending) package reviews
> > including one reported by me
> > (https://bugzilla.redhat.com/show_bug.cgi?id=1074046).
> > 
> > I don't know what makes you think to be able to review this one, too.
> 
> I intended to finish yours last weekend, but I couldn't use my computer.

To me, it would be more correct to complete (when possible) all previous reviews before taking other ones. 

@Paulo
Sorry for this hitch.
Comment 8 Christopher Meng 2014-07-28 22:16:18 EDT
cppad-20140728 is available.
Comment 9 Paulo Andrade 2015-03-01 14:19:34 EST
I believe this review can be closed, and instead rely
on the existing cppad package in Fedora, that is being
actively maintained, and was already in Fedora before
I started working on the coin-or packages.
Comment 10 Paulo Andrade 2015-04-11 14:21:02 EDT
I made extra requests for the cppad package as the initial
patch was done incorrectly, it failed to provide
coin-or-cppad-devel.
https://bugzilla.redhat.com/show_bug.cgi?id=1197488

But in the meantime I adjusted the package that would
require it to only require cppad-devel, so, the next
review for the coin-or stack is
https://bugzilla.redhat.com/show_bug.cgi?id=894609

coin-or-OS is actually the last one, to match the coin-or
monolithic tarball, after that, mostly optimizations and
optional packages could be added.

*** This bug has been marked as a duplicate of bug 1197488 ***

Note You need to log in before you can comment on or make changes to this bug.